nvmlPciInfo_t(3)

NAME
nvmlPciInfo_t -

SYNOPSIS

#include <nvml.h>

  Data Fields

char busIdLegacy [NVML_DEVICE_PCI_BUS_ID_BUFFER_V2_SIZE]
The legacy tuple domain:bus:device.function PCI identifier (& NULL terminator).
unsigned int domain
The PCI domain on which the device's bus resides, 0 to 0xffffffff.
unsigned int bus
The bus on which the device resides, 0 to 0xff.
unsigned int device
The device's id on the bus, 0 to 31.
unsigned int pciDeviceId
The combined 16-bit device id and 16-bit vendor id.
unsigned int pciSubSystemId
The 32-bit Sub System Device ID.
char busId [NVML_DEVICE_PCI_BUS_ID_BUFFER_SIZE]
The tuple domain:bus:device.function PCI identifier (& NULL terminator).

Detailed Description

PCI information about a GPU device.

Author

Generated automatically by Doxygen for NVML from the source code.